package com.liquidnet.service.bank.currencycloud.service.impl;
import com.currencycloud.client.model.Contact;
import com.liquidnet.service.bank.currencycloud.dto.BankCcContactParam;
import com.liquidnet.service.bank.currencycloud.service.IBankCcAccountService;
import com.liquidnet.service.bank.currencycloud.service.IBankCcContactService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import static org.junit.Assert.*;

/**
 * @author Li Chen
 * @date 2020-10-12 16:44
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class BankCcContactServiceImplTest {
    @Autowired
    private IBankCcContactService bankCcContactService;

    @Test
    public void createContact() {
        String accountId = "122f0c0a-6306-43a4-86fa-89b629f38583";
        String firstName = "chen";
        String lastName = "li";
        String emailAddress = "lichen1507@outlook.com";
        String phoneNumber = "18201571507";

        BankCcContactParam param = new BankCcContactParam();
        param.setAccountId(accountId);
        param.setFirstName(firstName);
        param.setLastName(lastName);
        param.setPhoneNumber(phoneNumber);

        bankCcContactService.createContact(param);
    }

}